%define upstream_name    Twiggy
%define upstream_version 0.1025

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Adapter for Twiggy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(Plack) >= 0.990.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%{?perl_default_filter}

%description
Twiggy is a lightweight and fast HTTP server with unique features such as:

* PSGI

  Can run any PSGI applications. Fully supports _psgi.nonblocking_ and
  _psgi.streaming_ interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg/
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/twiggy
/usr/share/man/man1/twiggy.1.xz


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.102.500-7.mga8
+ Revision: 1497924
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.102.500-6.mga7
+ Revision: 1272400
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.102.500-5.mga6
+ Revision: 1035426
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.102.500-4.mga6
+ Revision: 971962
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.102.500-3.mga6
+ Revision: 893830
- rebuild with fixed deps
- rebuild with fixed deps

* Sun Jul 05 2015 sander85 <sander85> 0.102.500-1.mga6
+ Revision: 851486
- update to 0.1025

* Sat Oct 18 2014 umeabot <umeabot> 0.102.400-6.mga5
+ Revision: 788217
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.102.400-5.mga5
+ Revision: 738780
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.102.400-4.mga5
+ Revision: 736184
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.102.400-3.mga5
+ Revision: 686752
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.102.400-2.mga4
+ Revision: 542214
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.102.400-1.mga4
+ Revision: 497120
- update to 0.1024

* Sat Jun 22 2013 shlomif <shlomif> 0.102.300-1.mga4
+ Revision: 445682
- update to 0.1023

* Sun Jan 13 2013 umeabot <umeabot> 0.102.100-2.mga3
+ Revision: 374495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.102.100-1.mga3
+ Revision: 315933
- update to 0.1021

* Wed Jul 11 2012 shlomif <shlomif> 0.102.0-1.mga3
+ Revision: 269517
- imported package perl-Twiggy


* Wed Jul 11 2012 cpan2dist 0.1020-1mga
- initial mageia release, generated with cpan2dist
